// STUploadDoc.h : interface of the CSTUploadDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_STUPLOADDOC_H__F2D40EE6_5D6A_407A_897B_135D01912EBF__INCLUDED_)
#define AFX_STUPLOADDOC_H__F2D40EE6_5D6A_407A_897B_135D01912EBF__INCLUDED_

#include "StockDataList.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CSTUploadDoc : public CDocument
{
protected: // create from serialization only
	CSTUploadDoc();
	DECLARE_DYNCREATE(CSTUploadDoc)

// Attributes
public:

// Operations
public:
  const  CStockDataList &GetDocList() {return m_DocList;}
  CString GetCurrentFund ()  {return m_strCurrentFund;}
  void SetCurrentFund (CString strSet){m_strCurrentFund= strSet;}

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSTUploadDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual void DeleteContents();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSTUploadDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	CString m_strCurrentFund;
	BOOL LoadData(CStdioFile & infile);
	CStockDataList m_DocList;
	//{{AFX_MSG(CSTUploadDoc)
	afx_msg void OnDataImport();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STUPLOADDOC_H__F2D40EE6_5D6A_407A_897B_135D01912EBF__INCLUDED_)
